Android 5.0.2 and New Factory Images For Nexus 7 (Wi-Fi) Available

Android 5.0 is has been publicly available since early November, and the … more

Github Tutorial App Shows You How to Use… Github

Github can get pretty complicated and using it can become quite daunting, especially … more

Google Glass-like Clip-On For Regular Glasses Developed by Sony

For the price of $2,000, a pair of glasses that can run apps, take pictures, … more

Micromax Takes OnePlus to Court! Android Wear Receives Lollipop – XDA TV

Android 5.0 Lollipop is available officially for the Moto 360! … more

Welcome to XDA

Search to go directly to your device's forum

Register an account

Unlock full posting privileges

Ask a question

No registration required
Post Reply

Error building CM11

OP Keithn

21st June 2014, 06:42 PM   |  #1  
OP Senior Member
Thanks Meter: 136
 
540 posts
Join Date:Joined: Feb 2011
More
To anyone who has been successfully building, I cant figure out this error. I tried syncing with TheMuppets repo and using the extract files on my phone, but I keep getting this error
Code:
make: *** No rule to make target `vendor/htc/m8/proprietary/vendor/lib/libtime_genoff.so', needed by `/home/keithn/cm11/out/target/product/m8/obj/lib/libtime_genoff.so'.  Stop.
Any assistance would be apreciated.
23rd June 2014, 02:17 PM   |  #2  
Senior Member
Thanks Meter: 48
 
302 posts
Join Date:Joined: Oct 2012
Looks to me like you haven't set up your environment properly.
6th August 2014, 06:36 AM   |  #3  
pimpmaneaton's Avatar
Recognized Contributor
Flag West Jordan UT
Thanks Meter: 3,286
 
2,230 posts
Join Date:Joined: Apr 2010
Donate to Me
More
Did you get it fixed.
So I am attempting to build Bean Stalk for the M8 and I am getting the same build error.

I am using Builduntu latest release, should be setup to build out of the box.
http://soupdawg.wordpress.com/2014/0...evelopment-os/

Code:
make: *** No rule to make target `/home/pimpmaneaton/BS/out/target/product/m8/obj/lib/libtime_genoff.so', needed by `/home/pimpmaneaton/BS/out/target/product/m8/obj/SHARED_LIBRARIES/libandroid_runtime_intermediates/LINKED/libandroid_runtime.so'.  Stop.
I am getting the same error and have the OS updated and also gone through many of the guides that show how to set up a Ubuntu 14.04 machine up to build.

Hoping that someone might be able to shed some light on this. Thanks in advance.


EDIT: Got it figured out.........I forgot to sync vendor/htc.
Last edited by pimpmaneaton; 6th August 2014 at 07:13 AM.
6th August 2014, 07:31 AM   |  #4  
task650's Avatar
Recognized Developer
Flag Portland, Oregon
Thanks Meter: 47,851
 
21,891 posts
Join Date:Joined: Sep 2010
Donate to Me
More
You need to sync the blobs https://github.com/TheMuppets/proprietary_vendor_htc
6th August 2014, 07:32 AM   |  #5  
task650's Avatar
Recognized Developer
Flag Portland, Oregon
Thanks Meter: 47,851
 
21,891 posts
Join Date:Joined: Sep 2010
Donate to Me
More
Quote:
Originally Posted by ashyx

Looks to me like you haven't set up your environment properly.

Nothing to do with the environment. It states the issue clearly. It's missing proprietaries.
6th August 2014, 11:05 AM   |  #6  
OP Senior Member
Thanks Meter: 136
 
540 posts
Join Date:Joined: Feb 2011
More
Yup you guys got it. I had them synced to the wrong location which is why I was confused about it.

Sent from my SHIELD Tablet
Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes